      SUBROUTINE GLOBAL(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION R(NSTEP),VVA(NSTEP),WVA(NSTEP),VSA(NSTEP),WSA(NSTEP)
CCC------------------------------------------------------------
CCC   CHOICES OF THE GLOBAL PARAMETERS
CCC------------------------------------------------------------
CCC   (1) CA40-PB208 (P,P) 65-1040 MEV  FIT.1 
CCC   (2) CA40-PB208 (P,P) 65-1040 MEV  FIT.2 
CCC   (3) C12 (P,P)   29-1040 MEV (EDAI C12)
CCC   (4) O16 (P,P)   23-1040 MEV (EDAI O16)
CCC   (5) CA40 (P,P)  21-1040 MEV (EDAI CA40)
CCC   (6) ZR90 (P,P)  22-800  MEV (EDAI ZR90)
CCC   (7) PB208 (P,P) 21-1040 MEV (EDAI PB208)
CCC   (8) C12-PB208 (P,P) 21-1040 MEV (EDAD FIT.1)
CCC   (9) C12-PB208 (P,P) 21-1040 MEV (EDAD FIT.2)
CCC  (10) C12-PB208 (P,P) 21-1040 MEV (EDAD FIT.3)
CCC  (11) 4HE-PB208 (P,P) 21-1040 MEV (UNDEMOCRATIC, TC)
CCC  (12) 4HE-PB208 (P,P) 21-1040 MEV (DEMOCRATIC, SH)
CCC  (13) 4HE (P,P)   156-1728 MEV (PRC73,024608(2006))
CCC------------------------------------------------------------
      GOTO (10,10,20,30,40,50,60,70,80,90,100,110,120),IFIT
 10   CALL GLOB12(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 20   CALL EDAIC(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 30   CALL EDAIO(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 40   CALL EDAICA(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP) 
      GOTO 99
 50   CALL EDAIZR(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 60   CALL EDAIPB(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 70   CALL EDAD1(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 80   CALL EDAD2(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 90   CALL EDAD3(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 100  CALL HEPB1(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      GOTO 99
 110  CALL HEPB1(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP) 
      GOTO 99
 120  CALL GLOBHE(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
 99   CONTINUE
      RETURN
      END
