C-------------------------------------------------------
      FUNCTION SPWD(E,BEFM,alphspwd,eps0spwd,eps1spwd)
C-------------------------------------------------------
C  BEFM = - FERMI_ENERGY
C  E    = ENERGY
C  SPWD : Half of the spreading width of the single particle states
C    Based on the formula by Smith-Wambach [PRC 38, 100(1988)]
C-------------------------------------------------------
      IMPLICIT NONE
      REAL E,BEFM,DIF,alphspwd,eps0spwd,eps1spwd
      REAL SPWD
C
      DIF=E+BEFM
      SPWD=alphspwd*DIF**2/(DIF**2+eps0spwd**2)
     &        *eps1spwd**2/(DIF**2+eps1spwd**2)
C
      RETURN
      END
